# Interface TypeCastTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface TypeCastTree extends ExpressionTree
A tree node for a type cast expression. For example:

      ( type ) expression

See Java Language Specification:
  15.16 Cast Expressions
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExpressionTree`
  `getExpression()`
  Returns the expression being cast.
  `Tree`
  `getType()`
  Returns the target type of the cast.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getType

    Tree getType()
    Returns the target type of the cast.
    Returns:
      the cast

  - ### getExpression

    ExpressionTree getExpression()
    Returns the expression being cast.
    Returns:
      the expression